Bug 606421 - Review Request: quickfix - Open Source FIX Engine
Summary: Review Request: quickfix - Open Source FIX Engine
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 15:11 UTC by Martin Dengler
Modified: 2014-01-16 09:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 00:29:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Dengler 2010-06-21 15:11:59 UTC
Spec URL: http://www.martindengler.com/proj/quickfix/build-20100620/quickfix.spec
SRPM URL: http://www.martindengler.com/proj/quickfix/build-20100620/quickfix-1.13.3-1.fc12.src.rpm
Description:
I've updated the packaged software's version to the latest released version and added two subpackages: python and examples.

rpmlint is cleaner than when I found it:

quickfix-examples.x86_64: W: no-documentation
quickfix-examples.x86_64: W: no-manual-page-for-binary quickfix-tradeclient
quickfix-examples.x86_64: W: no-manual-page-for-binary quickfix-ordermatch
quickfix-examples.x86_64: W: no-manual-page-for-binary quickfix-executor

...none of which fit into any MUST requirements from http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Things_To_Check_On_Review .

I'm not sure what else to request / draw attention to; I guess I'll add FE-NEEDSPONSOR and wait for a review per http://fedoraproject.org/wiki/Package_Review_Process .

Comment 1 Martin Dengler 2010-06-21 15:32:28 UTC
PS - this package is orphaned[1] and I intend to start doing informal reviews per the howto-get-sponsored guide[2].

I'll also try to contact Hayden James, who seems to be the original maintainer in case he's just lurking, per the non-responsive maintainer process[3].

1. https://koji.fedoraproject.org/koji/packageinfo?packageID=7145
2. http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
3. https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 2 Martin Dengler 2010-06-21 16:30:42 UTC
I've contacted Hayden Jones via his gmail account and he's happy for me to take over maintenance of this package.

Comment 3 Susi Lehtola 2010-06-27 21:29:06 UTC
Corrected bug summary.

Comment 4 Mamoru TASAKA 2010-07-03 18:28:18 UTC
First of all, would you examine why build fails on F-12 ppc/ppc64?
http://koji.fedoraproject.org/koji/taskinfo?taskID=2292672
http://koji.fedoraproject.org/koji/taskinfo?taskID=2292769

The "previous" version of quickfix builds even on F-12 ppc/ppc64:
http://koji.fedoraproject.org/koji/buildinfo?buildID=122720

Comment 5 Mamoru TASAKA 2010-07-03 18:32:53 UTC
Also you should package UnitTest++ seperately and make quickfix be
linked against system-wide UnitTest++:

http://sourceforge.net/projects/unittest-cpp/

Comment 6 Martin Dengler 2010-07-03 23:43:10 UTC
(In reply to comment #4)
> First of all, would you examine why build fails on F-12 ppc/ppc64?
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2292672
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2292769

I tried it too - sorry I didn't mention that to save you the time to build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2262986

I've asked http://sourceforge.net/mailarchive/message.php?msg_name=20100621162923.GF16854@ops-13.xades.com - so far no response, unfort.  I'll file a bug upstream and follow the ExcludeArch policy if I can't figure it out myself.

> The "previous" version of quickfix builds even on F-12 ppc/ppc64:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=122720    

I don't think it's going to be too simple - there are four years or so between the new & old code.

Comment 7 Martin Dengler 2010-07-03 23:43:53 UTC
(In reply to comment #5)
> Also you should package UnitTest++ seperately and make quickfix be
> linked against system-wide UnitTest++:
> 
> http://sourceforge.net/projects/unittest-cpp/    

Thanks - will do.

And thanks for looking at this review request in the first place.

Comment 8 Mamoru TASAKA 2010-07-09 15:38:51 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Also you should package UnitTest++ seperately and make quickfix be
> > linked against system-wide UnitTest++:
> > 
> > http://sourceforge.net/projects/unittest-cpp/    
> 
> Thanks - will do.

Thank you. After you file a review request for UnitTest++, please
write the bug number on this bug.

Comment 9 Mamoru TASAKA 2010-07-22 16:49:25 UTC
ping?

Comment 10 Martin Dengler 2010-08-02 03:31:49 UTC
Sorry for the delay (I have been busy IRL).  I will pick this up soon, I hope (FLW, I know).

Comment 11 Mamoru TASAKA 2010-08-15 16:27:45 UTC
Sorry, again ping?

Comment 12 Mamoru TASAKA 2010-08-30 17:12:52 UTC
Again ping?

Comment 13 Mamoru TASAKA 2010-09-11 16:15:23 UTC
ping again?

Comment 14 Mamoru TASAKA 2010-09-22 17:16:47 UTC
I will close this bug as NOTABUG if no response is received within
ONE WEEK.

Comment 15 Martin Dengler 2010-09-26 18:40:47 UTC
Sorry for the delay...I'm using the already-packaged unittest now but I'm having to teach the build system more about autotools / automake than it and I know.  It's getting there.

Comment 16 Mamoru TASAKA 2010-10-14 18:21:16 UTC
At least would you submit a review request for unittest-cpp?

Comment 17 Martin Dengler 2010-10-15 01:44:57 UTC
(In reply to comment #16)
> At least would you submit a review request for unittest-cpp?

It's already packaged, so that saves us some time: http://koji.fedoraproject.org/koji/buildinfo?buildID=140249

Thanks for sticking with this.  I am still working on it, but it's really tedious to make it autotools-friendly and I don't have much time now, sorry.  Thank you for keeping this alive.

Comment 18 Jason Tibbitts 2010-11-23 20:04:11 UTC
Marking as not being ready; please clear the whiteboard when you believe this is ready to be reviewed.

Comment 19 Martin Dengler 2011-04-18 15:56:43 UTC
I've updated and improved the package for F14, which builds fine ( http://koji.fedoraproject.org/koji/taskinfo?taskID=3008700 )...excising the upstream-distributed UnitTest++ version is all that remains before another review.

Comment 20 Martin Dengler 2011-05-29 04:40:24 UTC
I've updated the package for F15, which builds fine ( http://koji.fedoraproject.org/koji/taskinfo?taskID=3098671 )...I've uploaded the SRPM and patches to http://www.martindengler.com/proj/quickfix/build-20110529 and http://www.martindengler.com/proj/quickfix/patches-20110529 , respectively, in case anyone wants to try it out.

Comment 21 Martin Dengler 2012-03-02 10:33:46 UTC
I've updated the package for F16, which builds fine ( http://koji.fedoraproject.org/koji/taskinfo?taskID=3846127 ) ...I've uploaded the SRPM and patches to http://www.martindengler.com/proj/quickfix/build-20120210 and http://www.martindengler.com/proj/quickfix/build-20120210 , respectively, in case anyone wants to try it out.

I am going to rip out the included unittest code this weekend and hopefully that will finish this off.  I will clear the whiteboard.  If there is anything else people know they would like me to see for the review then please let me know.

Comment 22 Martin Dengler 2012-03-06 17:51:48 UTC
The UnitTest++ subdirs have the example cfg and data files in them, so I need to reshuffle them.  And then figure out with upstream what to do about that long-term.  Still working on this.

Comment 23 Mamoru TASAKA 2013-11-22 00:29:53 UTC
Again once closing this old ticket.

If someone is interesting in importing this package into Fedora, please submit a new review request, thank you.


Note You need to log in before you can comment on or make changes to this bug.